# =========================================================================
# File: __FILENAME__
#
# Copyright (c) __YEAR__ and onwards, __AUTHOR__ <__AUTHOR_EMAIL__>
#
# LICENCE:
#
#   This file is distributed under the terms of the __LICENCE_NAME__.
#   See the __LICENCE_FILE__ file, which should have been distributed with
#   this file, for details. If you did not receive the __LICENCE_FILE__ file,
#   see:
#
#   __LICENCE_URI__
#
# DESCRIPTION:
#
#   __DESCRIPTION__
#
# USAGE:
#
#   See the 'usage' target, below.
#
# EXAMPLES:
#
#   __EXAMPLES__
#
# TODO:
#
#   - Nothing, this code is perfect
#
# DEPENDENCIES:
#
#   __DEPENDENCIES__
#
# MODIFICATIONS:
#
#   __AUTHOR__ <__AUTHOR_EMAIL__> (__DATE__): Initial revision
# =========================================================================

# Obey standard Autotools installation directories
DESTDIR        =
PREFIX         = /usr/local
EPREFIX        = ${PREFIX}
BINDIR         = ${EPREFIX}/bin
SBINDIR        = ${EPREFIX}/sbin
LIBEXECDIR     = ${EPREFIX}/libexec
DATADIR        = ${PREFIX}/share
SYSCONFDIR     = ${PREFIX}/etc
SHAREDSTATEDIR = ${PREFIX}/com
LOCALSTATEDIR  = ${PREFIX}/var
LIBDIR         = ${EPREFIX}/lib
INCLUDEDIR     = ${PREFIX}/include
OLDINCLUDEDIR  = /usr/include
INFODIR        = ${PREFIX}/info
MANDIR         = ${PREFIX}/man

usage:
	@ echo 'Usage: make <target>'
	@ echo
	@ echo '  where valid <target>s are:'
	@ echo
	@ echo '    all      build'
	@ echo '    dist     build distribution tarball'
	@ echo '    install  install into ${PREFIX}'
	@ echo '    usage    display this message'

all:
#	Compile

dist:
#	Build distribution tarball

install:
#	Install

clean:
#	Clean up
